import { ChangeDetectorRef } from '@angular/core';
import { SdFormGenericTextarea } from '../../../../../models';
import { BuilderService } from '../../../services';
import * as i0 from "@angular/core";
export declare class TextareaControl {
    #private;
    private ref;
    private builderService;
    component: SdFormGenericTextarea;
    set _component(component: SdFormGenericTextarea);
    constructor(ref: ChangeDetectorRef, builderService: BuilderService);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TextareaControl, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TextareaControl, "textarea-control", never, { "_component": { "alias": "component"; "required": true; }; }, {}, never, never, true, never>;
}
